rm(list=ls())

library(stringr)
library(dplyr)
library(tidylog)
library(purrr)


all_database <- readRDS("data/all_database.rds")

#str(all_database)


## Rename German to english


# easy version

easydata <- all_database %>% 
  rename(SQ_Trees = "SQ_Baeume",           Ref_Trees = "Ref_Baeume" ,
         SQ_Green =  "SQ_Gruenflaechen" , Ref_Green = "Ref_Gruenflaechen")
### This code requires much typing and is prone to errors. We want to automate it further

## safer option

savedata <- all_database %>% 
  rename_with(~ str_replace_all(., c("_Trees" = "_Baeume", "Green" = "Gruenflaechen")), everything())


savedata <- all_database %>% 
  rename_with(~ str_replace_all(., 
                                c("Baeume" = "Trees", "Gruenflaechen" = "Green")),
              everything())
